Jump to content
funtoo forums
  • 0
Sign in to follow this  
donjames

pixman won't emerge

Question

checking whether to use MMX intrinsics... no
configure: error: x86 MMX intrinsics not detected

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/x11-libs/pixman-0.33.4/work/pixman-0.33.4-abi_x86_32.x86/config.log
 * ERROR: x11-libs/pixman-0.33.4::gentoo failed (configure phase):
 *   econf failed
 * 
 * Call stack:
 *               ebuild.sh, line   93:  Called src_configure
 *             environment, line 3624:  Called xorg-2_src_configure
 *             environment, line 4430:  Called autotools-multilib_src_configure
 *             environment, line  703:  Called multilib-minimal_src_configure
 *             environment, line 2818:  Called multilib_foreach_abi 'multilib-minimal_abi_src_configure'
 *             environment, line 3025:  Called multibuild_foreach_variant '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *             environment, line 2749:  Called _multibuild_run '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *             environment, line 2747:  Called _multilib_multibuild_wrapper 'multilib-minimal_abi_src_configure'
 *             environment, line  582:  Called multilib-minimal_abi_src_configure
 *             environment, line 2812:  Called multilib_src_configure
 *             environment, line 3242:  Called autotools-utils_src_configure
 *             environment, line  744:  Called econf '--docdir=/usr/share/doc/pixman-0.33.4' '--enable-shared' '--enable-static' '--enable-mmx' '--enable-sse2' '--disable-ssse3' '--disable-vmx' '--disable-arm-neon' '--disable-arm-iwmmxt' '--disable-loongson-mmi' '--disable-gtk' '--disable-libpng'
 *        phase-helpers.sh, line  662:  Called __helpers_die 'econf failed'
 *   isolated-functions.sh, line  117:  Called die
 * The specific snippet of code:
 *   		die "$@"
 * 
If you need support, post the output of `emerge --info '=x11-libs/pixman-0.33.4::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=x11-libs/pixman-0.33.4::gentoo'`.
 * The complete build log is located at '/var/log/portage/x11-libs:pixman-0.33.4:20151201-154307.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/x11-libs/pixman-0.33.4/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-libs/pixman-0.33.4/temp/environment'.
 * Working directory: '/var/tmp/portage/x11-libs/pixman-0.33.4/work/pixman-0.33.4-abi_x86_32.x86'
 * S: '/var/tmp/portage/x11-libs/pixman-0.33.4/work/pixman-0.33.4'

>>> Failed to emerge x11-libs/pixman-0.33.4, Log file:

>>>  '/var/log/portage/x11-libs:pixman-0.33.4:20151201-154307.log'

 * Messages for package x11-libs/pixman-0.33.4:

 * ERROR: x11-libs/pixman-0.33.4::gentoo failed (configure phase):
 *   econf failed
Call stack:
 *               ebuild.sh, line   93:  Called src_configure
 *             environment, line 3624:  Called xorg-2_src_configure
 *             environment, line 4430:  Called autotools-multilib_src_configure
 *             environment, line  703:  Called multilib-minimal_src_configure
 *             environment, line 2818:  Called multilib_foreach_abi 'multilib-minimal_abi_src_configure'
 *             environment, line 3025:  Called multibuild_foreach_variant '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *             environment, line 2749:  Called _multibuild_run '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *             environment, line 2747:  Called _multilib_multibuild_wrapper 'multilib-minimal_abi_src_configure'
 *             environment, line  582:  Called multilib-minimal_abi_src_configure
 *             environment, line 2812:  Called multilib_src_configure
 *             environment, line 3242:  Called autotools-utils_src_configure
 *             environment, line  744:  Called econf '--docdir=/usr/share/doc/pixman-0.33.4' '--enable-shared' '--enable-static' '--enable-mmx' '--enable-sse2' '--disable-ssse3' '--disable-vmx' '--disable-arm-neon' '--disable-arm-iwmmxt' '--disable-loongson-mmi' '--disable-gtk' '--disable-libpng'
 *        phase-helpers.sh, line  662:  Called __helpers_die 'econf failed'
 *   isolated-functions.sh, line  117:  Called die
 * The specific snippet of code:
 *   		die "$@"
 * 
 * If you need support, post the output of `emerge --info '=x11-libs/pixman-0.33.4::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=x11-libs/pixman-0.33.4::gentoo'`.
 * The complete build log is located at '/var/log/portage/x11-libs:pixman-0.33.4:20151201-154307.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/x11-libs/pixman-0.33.4/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-libs/pixman-0.33.4/temp/environment'.
 * Working directory: '/var/tmp/portage/x11-libs/pixman-0.33.4/work/pixman-0.33.4-abi_x86_32.x86'
 * S: '/var/tmp/portage/x11-libs/pixman-0.33.4/work/pixman-0.33.4'

Output for emerge --info:

Portage 2.2.20.1 (python 3.3.5-final-0, funtoo/1.0/linux-gnu/arch/x86-32bit, gcc-4.9.3, glibc-2.20-r2, 3.19.3-1~exp1 i686)
=================================================================
System uname: Linux-3.19.3-1~exp1-i686-AMD_Athlon-tm-_64_Processor_3800+-with-gentoo-2.2.0
KiB Mem:     1288516 total,    321400 free
KiB Swap:    2097148 total,   2096344 free
sh bash 4.3_p39-r1
ld GNU ld (Funtoo 2.25) 2.25.0
app-shells/bash:          4.3_p39-r1::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.22.0::gentoo
dev-lang/python:          2.7.10-r2::gentoo, 3.3.5-r2::gentoo
dev-util/cmake:           3.3.2-r1::gentoo
sys-apps/baselayout:      2.2.0-r6::gentoo
sys-apps/openrc:          0.18.3-r1::gentoo
sys-apps/sandbox:         2.9::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r1::gentoo
sys-devel/automake:       1.13.4::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25-r2::gentoo
sys-devel/gcc:            4.9.3::gentoo
sys-devel/gcc-config:     1.8::gentoo
sys-devel/libtool:        2.4.6-r1::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.0::gentoo (virtual/os-headers)
sys-libs/glibc:           2.20-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: git://github.com/funtoo/ports-2012.git
    priority: -1000

ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -mtune=generic -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /
etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=i686 -mtune=generic -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-
fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userp
riv usersandbox usersync xattr"
FFLAGS="-O2 -march=i686 -mtune=generic -pipe"
GENTOO_MIRRORS="  http://mirrors.cs.wmich.edu/gentoo http://www.gtlib.gatech.edu/pub/gentoo http://distro.ibiblio.org/pub/l
inux/distributions/gentoo/ rsync://distro.ibiblio.org/pub/linux/distributions/gentoo/ ftp://ftp.ussg.iu.edu/pub/linux/gento
o http://lug.mtu.edu/gentoo/ http://gentoo.osuosl.org/ http://ftp.ucsb.edu/pub/mirrors/linux/gentoo/ http://mirror.lug.udel
.edu/pub/gentoo/ http://mirror.its.uidaho.edu/pub/gentoo/ http://gentoo.cites.uiuc.edu/pub/gentoo/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--sort-common -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_TMPDIR="/var/tmp"

USE="X acl alsa apache apache2 apng berkdb bzip2 cdr consolekit cracklib crypt ctype cups cxx dbus device-mapper dvd extras
 filter frascend gd gdbm gnutls gtk gtk2 gtk3 hal hpcups iconv icu imap ipv6 kde lxde minizip mng modules mp3 mudflap mysql
 mysqli ncurses nls nptl nptlonly nsplugin nvidia ogg opengl openmp pam pcre php png policykit polkit python qt3 qt3support
 qt4 readline resolvconf samba sdl session snmp sql sqlite ssl static-libs svg tcltk tcpd tftp tkinter unicode vorbis x86 x
attr xml zlib" ABI_X86="32" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_
file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock
 deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_
magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias authn_core authz_core socache_shm
cb unixd" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECT
D_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext sse sse2 sse3" ELIBC=
"glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oce
anserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-32 pc"
 INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb
ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGET
S="php5-5" PYTHON_ABIS="2.7 3.3" PYTHON_SINGLE_TARGET="python3_3" PYTHON_TARGETS="python2_7 python3_3" QEMU_SOFTMMU_TARGETS
="i386" QEMU_USER_TARGETS="i386" RUBY_TARGETS="ruby20 ruby21 ruby22" USERLAND="GNU" VIDEO_CARDS="noveau fbdev vesa" XTABLES
_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat
logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, P
ORTAGE_COMPRESS_FLAGS


Does anyone have a clue about what is going on here?

 

Thanks,

 

donjames

 

Share this post


Link to post
Share on other sites

2 answers to this question

Recommended Posts

  • 0

Hi Cardinal,

 

I put the following code into /etc/portage/make.profile/package.mask:

>=x11-libs/pixman-0.33.4

The system then installed pixman-0.33.2 and continued with emerge world.

 

Thanks and bunch.

 

Sincerely,

 

Don James

Share this post


Link to post
Share on other sites
  • 0

Hi donjames,
Gentoo bug report: Bug 564024 - x11-libs/pixman-0.33.4 - configure: error: x86 MMX intrinsics not detected

The developer found the mistake that was made in the pixman source code and reversed it.

http://cgit.freedesktop.org/pixman/commit/?id=312e381523662aacc2f0ea90eb9ae0634ac5b327

Must wait for the next revision of the release to get it,unless you user_patch.

I would package.mask > the pixman version that is currently installed or else you'll be bothered to upgrade it.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...